A script to install Alfresco Community 6.0

cancel
Showing results for 
Search instead for 
Did you mean: 

A script to install Alfresco Community 6.0

Active Member II
4 19 10.8K

Motivation

Alfresco 6.0 switching to container deployment is a good thing, but Docker has efficiency issues on Mac. What's wrong with a well configured stand-alone Alfresco Community 6.0? Nothing!

Download Three Files

The attached Bash script automates the installation of Alfresco Community 6.0. It looks for 3 downloaded files in the same folder of the script or a folder specified as the script's first parameter.

The above links are for Tomcat 8.5.37, ACS 6.0.7-ga, Search Services 1.3.0.

Run The Install Script

Create an empty folder into which a stand-alone Alfresco Community will be installed. Be sure to set the environment variable JAVA_HOME. Then run the installation script, assuming everything else is in the parent folder:

mkdir 6.0.7-ga
cd 6.0.7-ga
../install-alfresco-6x.sh

The script will install all three archives, create or modify configuration files and startup scripts, download MySQL JDBC driver and the missing PDF renderer for Mac, start Solr6. It also applies the Share module for alfresco.war, which will ask you to press a few keys in between.

Create Your MySQL Schema

The script creates file tomcat/shared/classes/alfresco-global.properties with these MySQL database settings:

  • Schema name:  alf607ce
  • User name:  alfresco
  • Password:  alfresco

Here are the MySQL commands to create the schema:

$ mysql -u root
create schema alf607ce default character set utf8;
grant all on alf607ce.* to 'alfresco'@'localhost' identified by 'alfresco' with grant option;

Start and Stop Alfresco

./alfresco.sh start
./alfresco.sh jpda start # Start with debug
./alfresco.sh stop

Start and Stop Solr 6

The install script already starts Solr 6 for you. Subsequent start and stop commands are:

search-services/solr/bin/solr start
search-services/solr/bin/solr stop

Other Versions of Alfresco

This install script also works for 6.1.1. There is a bug in 6.1.2-ga that prevents alfresco.war from fully deployed and run in Tomcat. Just don't use it.

.

19 Comments
Member II

Can this script be run on a Windows 10 machine?

Active Member II

This is a bash script, so it should work inside a fully installed Cygwin or MinGW on Windows.

Member II

Tomcat Script Not available. Can someone post a valid link?

Active Member II

It is in the "ATTACHMENTS" box right below the last paragraph. It works. I just tried:
https://community.alfresco.com/servlet/JiveServlet/download/2863-1-31208/install-alfresco-6x.sh 

Active Member

Hi , I want to run the script in ubuntu 18.04 but there are a mistake I don't Know how to solve it.

Active Member II

Ubuntu sed command doesn't like -i ""
The only way I can make the script work for both Mac and Ubuntu is for sed to create backup files.

sed -i.bak -e 's|connectionTimeout=|URIEncoding="UTF-8" connectionTimeout=|' server.xml
sed -i.bak -e 's|shared.loader=|shared.loader=${catalina.base}/shared/classes|' catalina.properties

Member II

Hi Michael, thank you for this great script ! I ran it  , on Ubuntu 16.04 and everything loads (well almost)

I can get to tomcat control panel

I can get to the Solr Admin panel

I can start and stop and alfresco from the command prompt

the only thing I cannot load is Alfresco - what config files should I look at to troubleshoot this , thank you 

Member II

Hi @pfb6736 

I don't hav emuch experience on Alfresco, still am trying to make it work, probably I can help little bit here, make sure your tomcat is listening on 8080, and in alfresco-global.properites you can check. 

netstat -an | grep 8080, also check in catalina.out file, whether the server is started, if yes then your GUI will work. 

And if you are using nginx with port redirection, then wihtout 8080 it will work. 

Member II

I tried this script in CentOS 7, following are the steps taken,

  1. Tomcat doesn't work from this link, downloaded from this link
  2. Other 2 files and install script downloaded from this site
  3. Set JAVA_HOME environment path
  4. Installed MySQL (MariaDB) and created the schema and user as suggested in this site

Post this, I executed the install script and when i see tomcat doesn't start, alfresco doesn't get started. 

When I check in catalina.out file I see,

01-Nov-2019 04:07:33.119 SEVERE [main] org.apache.catalina.startup.Catalina.start Cannot start server. Server instance is not configured.

I came to this site because 5.2 community edition am not able to handle docx format more than 1MB and xlsx and xls file landscape orientation doesn't work as expected. 

Any help would be appreciated. 

Thanks. 

Active Member II

For whatever reason, this site doesn't allow me to update the original blog or attachment. Look for the latest update here:

https://github.com/mcgitty/install-alfresco-6x.sh

Member II

Hello,

does this script apply to Alfresco Community 6.2 ga?

i changed it a little bit for CentOS 7.6, but i am getting this error message attached in the screenshot. Please advise.

 

Thank you, 

image.png

Active Member II

Hi Jimmy,

Yes, the latest script in github works for 6.2-ga. The output you attached was normal. There is no Share amp.

--Michael

Member II

Hello michael,

Thank you for your input, I was able to follow the script's steps and install Alfresco, however i am getting a T-Engine related error message attached. i can't find a package or a method to follow online. what do you guys suggest? Thanks again.

this is Catalina.out error:


2020-04-05 22:16:00,027  ERROR [content.transform.LocalTransformServiceRegistry] [QuartzScheduler_Worker-2] 0305310711 Failed to connect or to read the response from T-Engine on http://localhost:8094/transform/config
2020-04-05 22:16:00,027  ERROR [content.transform.LocalTransformServiceRegistry] [QuartzScheduler_Worker-2] 0305265871 Failed to connect or to read the response from T-Engine on http://localhost:8091/transform/config
2020-04-05 22:16:00,033  ERROR [content.transform.LocalTransformServiceRegistry] [QuartzScheduler_Worker-2] 0305306529 Failed to connect or to read the response from T-Engine on http://localhost:8092/transform/config
2020-04-05 22:16:00,033  ERROR [content.transform.LocalTransformServiceRegistry] [QuartzScheduler_Worker-2] 0305265873 Failed to connect or to read the response from T-Engine on http://localhost:8094/transform/config
2020-04-05 22:16:00,034  ERROR [content.transform.LocalTransformServiceRegistry] [QuartzScheduler_Worker-2] 0305265874 Failed to connect or to read the response from T-Engine on http://localhost:8092/transform/config
2020-04-05 22:16:00,040  ERROR [content.transform.LocalTransformServiceRegistry] [QuartzScheduler_Worker-2] 0305310713 Failed to connect or to read the response from T-Engine on http://localhost:8092/transform/config
2020-04-05 22:16:10,002  ERROR [content.transform.LocalTransformServiceRegistry] [QuartzScheduler_Worker-1] 0305306530 Failed to connect or to read the response from T-Engine on http://localhost:8090/transform/config
2020-04-05 22:16:10,003  ERROR [content.transform.LocalTransformServiceRegistry] [QuartzScheduler_Worker-1] 0305306531 Failed to connect or to read the response from T-Engine on http://localhost:8093/transform/config
2020-04-05 22:16:10,003  ERROR [content.transform.LocalTransformServiceRegistry] [QuartzScheduler_Worker-1] 0305265875 Failed to connect or to read the response from T-Engine on http://localhost:8090/transform/config
2020-04-05 22:16:10,004  ERROR [content.transform.LocalTransformServiceRegistry] [QuartzScheduler_Worker-1] 0305306532 Failed to connect or to read the response from T-Engine on http://localhost:8091/transform/config
2020-04-05 22:16:10,004  ERROR [content.transform.LocalTransformServiceRegistry] [QuartzScheduler_Worker-1] 0305306533 Failed to connect or to read the response from T-Engine on http://localhost:8094/transform/config
2020-04-05 22:16:10,004  ERROR [content.transform.LocalTransformServiceRegistry] [QuartzScheduler_Worker-1] 0305310714 Failed to connect or to read the response from T-Engine on http://localhost:8090/transform/config
2020-04-05 22:16:10,005  ERROR [content.transform.LocalTransformServiceRegistry] [QuartzScheduler_Worker-1] 0305306534 Failed to connect or to read the response from T-Engine on http://localhost:8092/transform/config
2020-04-05 22:16:10,005  ERROR [content.transform.LocalTransformServiceRegistry] [QuartzScheduler_Worker-1] 0305265876 Failed to connect or to read the response from T-Engine on http://localhost:8093/transform/config
2020-04-05 22:16:10,005  ERROR [content.transform.LocalTransformServiceRegistry] [QuartzScheduler_Worker-1] 0305310715 Failed to connect or to read the response from T-Engine on http://localhost:8093/transform/config
2020-04-05 22:16:10,006  ERROR [content.transform.LocalTransformServiceRegistry] [QuartzScheduler_Worker-1] 0305265877 Failed to connect or to read the response from T-Engine on http://localhost:8091/transform/config
2020-04-05 22:16:10,006  ERROR [content.transform.LocalTransformServiceRegistry] [QuartzScheduler_Worker-1] 0305310716 Failed to connect or to read the response from T-Engine on http://localhost:8091/transform/config
2020-04-05 22:16:10,006  ERROR [content.transform.LocalTransformServiceRegistry] [QuartzScheduler_Worker-1] 0305265878 Failed to connect or to read the response from T-Engine on http://localhost:8094/transform/config
2020-04-05 22:16:10,007  ERROR [content.transform.LocalTransformServiceRegistry] [QuartzScheduler_Worker-1] 0305310717 Failed to connect or to read the response from T-Engine on http://localhost:8094/transform/config
2020-04-05 22:16:10,007  ERROR [content.transform.LocalTransformServiceRegistry] [QuartzScheduler_Worker-1] 0305265879 Failed to connect or to read the response from T-Engine on http://localhost:8092/transform/config
2020-04-05 22:16:10,010  ERROR [content.transform.LocalTransformServiceRegistry] [QuartzScheduler_Worker-1] 0305310718 Failed to connect or to read the response from T-Engine on http://localhost:8092/transform/config

 

 

 

Active Member II

Hi Jimmy,

Please get the latest script from github that fixed the T-Engine error for ACS 6.2.

Thanks

--Michael

Member II

Hello Michael,

Thank you so much for the update, I beleive the only thing that changed is that it searches for JDK verson and make sure its higher or equal to 11, i might be wrong though.

when i check the JDK i have installed it is 11 already and i am still getting the error message.

I am applying the script on a CentOS 7.6 VM, so there is probably a chance that not all the script is applicable, although i tried to change it (followed/executed line by line) but i am just entry level when it comes to Linux scripting.

do you have a model or a suggestion that may work better for CentOS 7.6? 

JDK version 11.PNG

Thank you for your time.

Active Member II

I tried the latest script in a CentOS docker image:

  • docker image: centos:7.2.1511
  • extra yums: java-11-openjdk.x86_64 unzip wget
  • JAVA_HOME: /usr/lib/jvm/java-11-openjdk-11.0.6.10-1.el7_7.x86_64

It installed ACS 6.2.0-ga with no problem. I need to force Solr6 to run as root. Other than that, Alfresco started fine. I doubt your CentOS 7.6 is that much different than my older 7.2 docker container.

Although I don't know the JDK you have. What does that .ea. infix in the name mean? Try upgrading it to one with a name similar to mine without .ea.

Member II

When i use "yum search java-11-openjdk" i get this result:

=
java-11-openjdk.i686 : OpenJDK Runtime Environment 11
java-11-openjdk.x86_64 : OpenJDK Runtime Environment 11
java-11-openjdk-debug.i686 : OpenJDK Runtime Environment 11 with full debug on
java-11-openjdk-debug.x86_64 : OpenJDK Runtime Environment 11 with full debug on
java-11-openjdk-demo.i686 : OpenJDK Demos 11
java-11-openjdk-demo.x86_64 : OpenJDK Demos 11
java-11-openjdk-demo-debug.i686 : OpenJDK Demos 11 with full debug on
java-11-openjdk-demo-debug.x86_64 : OpenJDK Demos 11 with full debug on
java-11-openjdk-devel.i686 : OpenJDK Development Environment 11
java-11-openjdk-devel.x86_64 : OpenJDK Development Environment 11
java-11-openjdk-devel-debug.i686 : OpenJDK Development Environment 11 with full debug on
java-11-openjdk-devel-debug.x86_64 : OpenJDK Development Environment 11 with full debug on
java-11-openjdk-headless.i686 : OpenJDK Headless Runtime Environment 11
java-11-openjdk-headless.x86_64 : OpenJDK Headless Runtime Environment 11
java-11-openjdk-headless-debug.i686 : OpenJDK Runtime Environment with full debug on
java-11-openjdk-headless-debug.x86_64 : OpenJDK Runtime Environment with full debug on
java-11-openjdk-javadoc.i686 : OpenJDK 11 API documentation
java-11-openjdk-javadoc.x86_64 : OpenJDK 11 API documentation
java-11-openjdk-javadoc-debug.i686 : OpenJDK 11 API documentation for packages with debug on
java-11-openjdk-javadoc-debug.x86_64 : OpenJDK 11 API documentation for packages with debug on
java-11-openjdk-javadoc-zip.i686 : OpenJDK 11 API documentation compressed in single archive
java-11-openjdk-javadoc-zip.x86_64 : OpenJDK 11 API documentation compressed in single archive
java-11-openjdk-javadoc-zip-debug.i686 : OpenJDK 11 API documentation compressed in single archive for packages with debug on
java-11-openjdk-javadoc-zip-debug.x86_64 : OpenJDK 11 API documentation compressed in single archive for packages with debug on
java-11-openjdk-jmods.i686 : JMods for OpenJDK 11
java-11-openjdk-jmods.x86_64 : JMods for OpenJDK 11
java-11-openjdk-jmods-debug.i686 : JMods for OpenJDK 11 with full debug on
java-11-openjdk-jmods-debug.x86_64 : JMods for OpenJDK 11 with full debug on
java-11-openjdk-src.i686 : OpenJDK Source Bundle 11
java-11-openjdk-src.x86_64 : OpenJDK Source Bundle 11
java-11-openjdk-src-debug.i686 : OpenJDK Source Bundle for packages with debug on
java-11-openjdk-src-debug.x86_64 : OpenJDK Source Bundle for packages with debug on

And when i install "yum install java-11-openjdk.x86_64" i get this version installed:

java-11-openjdk-11.0.ea.28-7.el7.x86_64

The .ea refer to early access.

can you please refer a link or an article for the correct version installation? i have been trying different approaches from google without being successfull.

Thank you very much,

 

Active Member II

Hi Jimmy,

I rather not discuss how to install JDK here. Let's focus on your issue:

1) Are you running the latest script from github?

2) Is "T-Engine" still the error you refers to?

The last change I pushed to github specifically fixed the "T-Engine" error.

Thanks

--Michael

By the way, please consider reducing the length of your post for everyone's benefit.

Member II

Hello Michael,

I started from scratch, prepared the server, installed Mariadb, Java and set environment variable.

i ran the script successfully, and everything seems to be good as I don't see warning and errors in catalina.out log file. Mariadb , Solr6 and Tomcat seems to be started but i am still not able to access share "http://localhost:8080/share" , note that local host is replaced with the ip address of my server.

any advise will be appreciated, Thank you so much for your time.

let me attach "tail -f catalina.out" message screenshot.

 

Thanks.catalina.out.PNG